Index: calculatorview/src/sans/perspectives/calculator/model_editor.py
===================================================================
--- calculatorview/src/sans/perspectives/calculator/model_editor.py	(revision 82cd8447dc1949b3256bcce738631441e4dd5d7a)
+++ calculatorview/src/sans/perspectives/calculator/model_editor.py	(revision 0ed400d3f9bec902cfe24e9e108c0ea741709b64)
@@ -750,21 +750,9 @@
                                                                     func_str)
                     tr_msg = _compileFile(self.fname)
-                    msg = tr_msg.__str__()
+                    msg = str(tr_msg.__str__())
                     # Compile error
                     if msg:
+                        msg.replace("  ", "\n")
                         msg +=  "\nCompiling Failed"
-                    else:
-                        proc = subprocess.Popen(['python','%s'% self.fname],
-                                                bufsize=1,
-                                                stdout=subprocess.PIPE, 
-                                                stderr=subprocess.STDOUT,
-                                                universal_newlines=True,
-                                                shell=False)
-                        while proc.poll() is None:
-                            line = proc.stdout.readline()
-                            if line:
-                                #the real code does filtering here
-                                if line.count("Error"):
-                                    msg = line.rstrip()
                 else:
                     msg = "Error: The func(x) must 'return' a value at least.\n"
@@ -775,13 +763,15 @@
             msg = "Name exists already."
         # Prepare for the messagebox
-        if not msg:
-            if self.base != None:
-                self.base.update_custom_combo()
-            msg = "Successful!!!"
-            msg += "  " + self._notes
-            msg += " Please look for it in the 'Customized Models' box."
-            info = 'Info'
-            color = 'blue'
-        else:
+        if self.base != None and not msg:
+            self.base.update_custom_combo()
+            Model  = None
+            exec "from %s import Model"% name 
+            try:
+                Model().run(0.01) 
+            except:
+                msg = "Error "
+                _, value, _ = sys.exc_info()
+                msg += "in %s:\n%s\n" % (name,  value)
+        if msg:
             info = 'Error'
             color = 'red' 
@@ -792,5 +782,16 @@
             except:
                 pass
-        self._msg_box.SetLabel(msg)
+        else:
+            msg = "Successful!!!"
+            msg += "  " + self._notes
+            msg += " Please look for it in the 'Customized Models' box."
+            info = 'Info'
+            color = 'blue'
+        # Not to display long error msg
+        if info == 'Error':
+            mss = info
+        else:
+            mss = msg
+        self._msg_box.SetLabel(mss)
         self._msg_box.SetForegroundColour(color)
         # Send msg to the top window  
Index: sansview/license.txt
===================================================================
--- sansview/license.txt	(revision c329f4df46fa9f65cee666a22acdc32279f99e45)
+++ sansview/license.txt	(revision 0ed400d3f9bec902cfe24e9e108c0ea741709b64)
@@ -4,15 +4,12 @@
 and is currently being developed as an open source project hosted at SourceForge
 and managed by a consortium of scattering facilities.  Participating facilities
-include: The European Spallation Source, ISIS, The Institut Laue Langevin, 
+include: The University of Maryland, The European Spallation Source, ISIS, The Institut Laue Langevin, 
 The National Institute of Standards and Technology Center for Neutron Research 
 and the Oak Ridge National Laboratory Neutron Sciences Directorate.
 
-If you use DANSE applications to do scientific research that leads to publication, 
+If you use this application to do scientific research that leads to publication, 
 we ask that you acknowledge the use of the software with the following sentence:
 
 "This work benefited from the use of the SasView application, originally developed under NSF award DMR-0520547." 
 
-See the DANSE project web site for license information:
-http://wiki.cacr.caltech.edu/danse/index.php/Main_Page
-
-copyright 2009-2011, University of Tennessee
+copyright 2009-2011, UTK, UMD, NIST, ORNL, ISIS, ESS, and ILL
